(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      8937,        232]
NotebookOptionsPosition[      7806,        208]
NotebookOutlinePosition[      8208,        224]
CellTagsIndexPosition[      8165,        221]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.8199037582482715`*^9, 3.819903762812395*^9}},
 CellLabel->
  "In[134]:=",ExpressionUUID->"3cde63f1-5c52-416d-bfd3-6b72276e52ca"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eyeball", "=", 
   RowBox[{"ImageCrop", "[", 
    RowBox[{"Import", "[", "\"\<hunt-left-lowres.jpg\>\"", "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.81990473464462*^9, 3.819904745160779*^9}, 
   3.8199055113855743`*^9},
 CellLabel->
  "In[216]:=",ExpressionUUID->"7b6982dd-20b9-4d96-9688-3080d03592f8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"iris", "=", 
   RowBox[{"ImageCrop", "[", 
    RowBox[{"Import", "[", "\"\<hunt-left-iris-small.jpg\>\"", "]"}], "]"}]}],
   ";"}]], "Input",
 CellChangeTimes->{{3.8199047177460065`*^9, 3.819904732144678*^9}, 
   3.819905515293081*^9},
 CellLabel->
  "In[217]:=",ExpressionUUID->"1010a0cc-6919-4d4a-b80b-ff8d7b45cb06"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eyeplot", "=", 
   RowBox[{"ParametricPlot3D", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Cos", "[", "t", "]"}], " ", 
        RowBox[{"Cos", "[", "u", "]"}]}], ",", 
       RowBox[{
        RowBox[{"Sin", "[", "t", "]"}], " ", 
        RowBox[{"Cos", "[", "u", "]"}]}], ",", 
       RowBox[{"Sin", "[", "u", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", 
       RowBox[{"2", " ", "Pi"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", 
       RowBox[{
        RowBox[{"-", "Pi"}], "/", "2"}], ",", 
       RowBox[{"-", ".15"}]}], "}"}], ",", 
     RowBox[{"PlotPoints", "\[Rule]", "150"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"Texture", "[", "eyeball", "]"}]}], ",", 
     RowBox[{"TextureCoordinateFunction", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#1", ",", "#2"}], "}"}], "&"}], ")"}]}], ",", 
     RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
     RowBox[{"Boxed", "\[Rule]", " ", "False"}], ",", 
     RowBox[{"Axes", " ", "\[Rule]", " ", "False"}], ",", 
     RowBox[{"SphericalRegion", "\[Rule]", "True"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "600"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.819903819277815*^9, 3.819903891970623*^9}, {
   3.8199039343185186`*^9, 3.8199039809341154`*^9}, {3.8199053215974503`*^9, 
   3.8199053218808303`*^9}, 3.8199054947201*^9, {3.819905689718355*^9, 
   3.819905689802807*^9}},
 CellLabel->
  "In[224]:=",ExpressionUUID->"0ad69550-8967-4d5c-a02d-bd7ba72cb276"],

Cell[BoxData[
 RowBox[{
  RowBox[{"irisplot", "=", 
   RowBox[{"ParametricPlot3D", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Cos", "[", "t", "]"}], " ", 
        RowBox[{"Cos", "[", "u", "]"}]}], ",", 
       RowBox[{
        RowBox[{"Sin", "[", "t", "]"}], " ", 
        RowBox[{"Cos", "[", "u", "]"}]}], ",", 
       RowBox[{"-", 
        RowBox[{"Sin", "[", "u", "]"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", 
       RowBox[{"2", "Pi"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", 
       RowBox[{
        RowBox[{"-", "7.3"}], " ", 
        RowBox[{"Pi", "/", "16"}]}], ",", 
       RowBox[{
        RowBox[{"-", "3"}], " ", 
        RowBox[{"Pi", "/", "8"}]}]}], "}"}], ",", 
     RowBox[{"PlotPoints", " ", "\[Rule]", " ", "150"}], ",", 
     RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"Texture", "[", "iris", "]"}]}], ",", 
     RowBox[{"TextureCoordinateFunction", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#1", ",", "#2"}], "}"}], "&"}], ")"}]}], ",", 
     RowBox[{"Boxed", "\[Rule]", " ", "False"}], ",", 
     RowBox[{"Axes", " ", "\[Rule]", " ", "False"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "600"}], ",", 
     RowBox[{"Lighting", "\[Rule]", "\"\<Neutral\>\""}], ",", 
     RowBox[{"SphericalRegion", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.8199040113727875`*^9, 3.819904061317384*^9}, 
   3.8199041359436398`*^9, {3.8199041860393934`*^9, 3.819904241911175*^9}, {
   3.819904272754817*^9, 3.819904279103679*^9}, {3.819904328309307*^9, 
   3.8199044484573445`*^9}, {3.8199044786221075`*^9, 3.8199045109164*^9}, {
   3.8199045827182074`*^9, 3.819904636613245*^9}, {3.8199046690333695`*^9, 
   3.8199046831522064`*^9}, {3.8199047975137243`*^9, 3.819904798262226*^9}, {
   3.8199048423095493`*^9, 3.8199048607535114`*^9}, {3.8199049042769427`*^9, 
   3.81990490977258*^9}, {3.819904941368007*^9, 3.8199049823488073`*^9}, {
   3.8199050124383364`*^9, 3.8199051172773576`*^9}, {3.8199051617916317`*^9, 
   3.819905282613533*^9}, 3.8199053626825285`*^9, {3.8199054189225006`*^9, 
   3.8199054472305937`*^9}, 3.819905499193198*^9},
 CellLabel->
  "In[225]:=",ExpressionUUID->"26f3804b-3507-432a-8784-82eebab823b5"],

Cell[BoxData[
 RowBox[{
  RowBox[{"anim", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Show", "[", 
      RowBox[{"eyeplot", ",", "irisplot", ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
       RowBox[{"ViewPoint", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"4", " ", 
           RowBox[{"Cos", "[", "a", "]"}]}], ",", 
          RowBox[{"4", " ", 
           RowBox[{"Sin", "[", "a", "]"}]}], ",", "20"}], "}"}]}], ",", 
       RowBox[{"ViewVertical", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "300"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "0", ",", 
       RowBox[{
        RowBox[{"2", "Pi"}], "-", 
        RowBox[{"2", 
         RowBox[{"Pi", "/", "100"}]}]}], ",", 
       RowBox[{"2", 
        RowBox[{"Pi", "/", "100"}]}]}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.81990538011294*^9, 3.8199054095748825`*^9}, {
  3.8199054652026052`*^9, 3.819905468610622*^9}, {3.8199055562366247`*^9, 
  3.819905777498393*^9}, {3.8199058095719166`*^9, 3.819905816998034*^9}, {
  3.819905985317717*^9, 3.8199060933821707`*^9}, {3.819906128837671*^9, 
  3.8199061492968597`*^9}, {3.8199062074057093`*^9, 3.8199063096280527`*^9}, {
  3.8199063433065186`*^9, 3.81990651330231*^9}, {3.819906681896928*^9, 
  3.8199066936156263`*^9}},
 CellLabel->
  "In[260]:=",ExpressionUUID->"5c15b02f-3146-4849-8c41-f45827839d07"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.819906539260481*^9, 3.8199065497602787`*^9}},
 CellLabel->
  "In[257]:=",ExpressionUUID->"1ab266ac-39b8-4a30-9bf9-06d2facfc773"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<eye.mp4\>\"", ",", "anim"}], "]"}]], "Input",
 CellChangeTimes->{{3.819906551618967*^9, 3.819906553623537*^9}, {
  3.819906612327331*^9, 3.8199066191607533`*^9}},
 CellLabel->
  "In[261]:=",ExpressionUUID->"5c28e5c4-03d5-4c35-af32-4cced22c73dc"],

Cell[BoxData["\<\"eye.mp4\"\>"], "Output",
 CellChangeTimes->{3.8199066534007664`*^9, 3.819907084116459*^9},
 CellLabel->
  "Out[261]=",ExpressionUUID->"f8006339-d8ac-48f5-b2be-1d93b1f75ee5"]
}, Open  ]]
},
WindowSize->{800, 805},
WindowMargins->{{Automatic, 408}, {-8, Automatic}},
FrontEndVersion->"12.2 for Microsoft Windows (64-bit) (December 7, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"a95d36d1-453b-4f38-b8a8-488f127cdbeb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 274, 6, 28, "Input",ExpressionUUID->"3cde63f1-5c52-416d-bfd3-6b72276e52ca"],
Cell[835, 28, 351, 9, 28, "Input",ExpressionUUID->"7b6982dd-20b9-4d96-9688-3080d03592f8"],
Cell[1189, 39, 353, 9, 28, "Input",ExpressionUUID->"1010a0cc-6919-4d4a-b80b-ff8d7b45cb06"],
Cell[1545, 50, 1607, 40, 87, "Input",ExpressionUUID->"0ad69550-8967-4d5c-a02d-bd7ba72cb276"],
Cell[3155, 92, 2350, 53, 87, "Input",ExpressionUUID->"26f3804b-3507-432a-8784-82eebab823b5"],
Cell[5508, 147, 1487, 35, 48, "Input",ExpressionUUID->"5c15b02f-3146-4849-8c41-f45827839d07"],
Cell[6998, 184, 274, 6, 28, "Input",ExpressionUUID->"1ab266ac-39b8-4a30-9bf9-06d2facfc773"],
Cell[CellGroupData[{
Cell[7297, 194, 299, 6, 28, "Input",ExpressionUUID->"5c28e5c4-03d5-4c35-af32-4cced22c73dc"],
Cell[7599, 202, 191, 3, 32, "Output",ExpressionUUID->"f8006339-d8ac-48f5-b2be-1d93b1f75ee5"]
}, Open  ]]
}
]
*)

